## sonic-pi 2.9.0~repack

=== debian/changelog ===
sonic-pi (2.9.0~repack-6) unstable; urgency=medium

  * Build-depend on a version of ruby-wavefile working with big
    endian machines.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Feb 2016 07:57:23 +0000

sonic-pi (2.9.0~repack-5) unstable; urgency=medium

  [ Hanno Zulla ]
  * don't load did_you_mean on Debian with ruby < 2.3.0

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 26 Feb 2016 16:50:24 +0100

sonic-pi (2.9.0~repack-4) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Upgraded standards-version from 3.9.6 to 3.9.7.
  * Fixed typo in debian/copyright (Licence -> License).

  [ Hanno Zulla ]
  * Build-depend on sc3-plugins-server to avoid building on non-working
    architectures.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 26 Feb 2016 11:46:23 +0100

sonic-pi (2.9.0~repack-3) unstable; urgency=low

  * debian/copyright: Document zlib license for two hh files.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 19 Feb 2016 17:53:06 +0000

sonic-pi (2.9.0~repack-2) unstable; urgency=low

  * Remove duplicate lintian-overrides file.
  * Use ssl URIs for git repos.
  * Remove unused library from build-depends.

 -- Hanno Zulla <kontakt@hanno.de>  Fri, 19 Feb 2016 09:37:00 +0100

sonic-pi (2.9.0~repack-1) unstable; urgency=low

  * Initial packaging.
  * Packaging info in debian/README.source and debian/patches/*.patch.
  * Closes: #796550.

 -- Hanno Zulla <kontakt@hanno.de>  Fri, 12 Feb 2016 12:08:00 +0100
