## sonic-pi 2.10.0~repack

=== debian/changelog ===
sonic-pi (2.10.0~repack-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for new QScintilla2 library names (Closes: #885626)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 04 Jan 2018 06:57:23 -0500

sonic-pi (2.10.0~repack-2) unstable; urgency=medium

  [ Hanno Zulla ]
  * Add missing examples/ directory for Debian distribution package.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 17 May 2016 18:16:41 +0000

sonic-pi (2.10.0~repack-1) unstable; urgency=medium

  [ Hanno Zulla ]
  * New upstream release 2.10 - 'Cowbell'.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 18 Apr 2016 09:37:11 +0000
