## sonic-pi 2.10.0.1~repack+rb2

=== debian/changelog ===
sonic-pi (2.10.0.1~repack+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Team <pkg-multimedia-maintainers@lists.alioth.debian.org>  Wed, 27 Jan 2021 14:28:48 +0800
