## sonic-pi 3.1.0~repack~test2

=== debian/changelog ===
sonic-pi (3.1.0~repack~test2-1) UNRELEASED; urgency=medium

  * New upstream release
  * Disable 01-remove-rpi-volume.patch, it doesn't apply in it's present state
    and it's not clear if it is relavent anymore.
  * Update 02-do-no-require-unused-ruby-gems.patch to apply to new upstream
    source.
  * Update 03-use-debian-gems.patch to apply to new upstream source
    (note: some of the removed code has disappeared, possiblly needs further
    investigation)
  * Update paths in 04-rename-ruby-beautify-legacy.patch and refresh
    patch for fuzz.
  * Update paths in 05-doc-base-index.patch
  * Disable 06-paths.patch, it seems this fix was merged upstream, and then
    later the code in question was eliminated.
  * Update path in debian/patches/07-examples-path.patch
  * Update qsci_rename.patch for upstream changes.
  * undo removal of os detection in 03-use-debian-gems.patch, other
    code in the file depends on it.
  * undo removal of "ruby-api" retrival in 03-use-debian-gems.patch, other
    code in the file depends on it. 
  * explicitly used vendor version of some deps that are not in Debian.
  * Add depends and build-depends on ruby-ffi
  * Add depends and build-depends on libaubio5
  * Modify 07-examples-path.patch to use the FHS path unconditionally as
    "linux_fhs" no longer seems to exist.
  * Add build-depends on libqwt-qt5-dev.
  * Update many paths in debian/rules.
  * Disable two failing tests for now (see https://github.com/samaaron/sonic-pi/issues/1865 )
  * Update paths in install files.
  * Revert upstream removal of fhs support.
  * Add build-depends on libqt5svg5-dev.
  * Add build-depends on libboost-dev.
  * Add dependency on ruby-memoist.
  * Update debian/copyright for path layout and vendor lib changes.
  * Version supercollider dependency as >= 3.10, earlier versions seem not to
    work.

 -- root <root@cuboxi4x4>  Wed, 26 Jun 2019 22:12:52 +0000
