=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  qtbase5-dev,
  qttools5-dev,
  qttools5-dev-tools,
- libqt5scintilla2-dev,
+ libqscintilla2-qt5-dev,
  sc3-plugins-server,
  ruby,
  ruby-activesupport,
@@ -26,8 +26,13 @@
  ruby-multi-json,
  ruby-rugged,
  ruby-wavefile (>= 0.6.0-2),
- ruby-all-dev
-Standards-Version: 3.9.7
+ ruby-all-dev,
+ ruby-ffi,
+ libaubio5,
+ libqwt-qt5-dev,
+ libqt5svg5-dev,
+ libboost-dev
+Standards-Version: 3.9.8
 Homepage: http://sonic-pi.net/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/sonic-pi.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/sonic-pi.git
@@ -37,7 +42,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- sonic-pi-server,
+ sonic-pi-server (= ${source:Version}),
  alsa-utils
 Description: Live Coding for Everyone
  A free live coding synth for everyone. Originally designed to support
@@ -56,10 +61,13 @@
  ruby-multi-json,
  ruby-rugged,
  ruby-wavefile,
- sonic-pi-samples,
- supercollider-server,
- sc3-plugins-server,
- jackd
+ sonic-pi-samples (= ${source:Version}),
+ supercollider-server (>= 1:3.10.0),
+ sc3-plugins-server (>= 3.9.1~),
+ jackd,
+ ruby-ffi,
+ libaubio5,
+ ruby-memoist
 Suggests:
  sonic-pi-server-doc
 Description: Backend server for Sonic Pi
@@ -83,4 +91,4 @@
 Description: Audio samples for Sonic Pi
  Sonic Pi is shipped with a default audio sample collection, containing
  musical snippets, sound effects and rhythm loops created by various
- various contributors at freesound.org.
+ contributors at freesound.org.
