=== debian/rules ===
--- 
+++ 
@@ -12,21 +12,21 @@
 # This is based on upstream's Raspbian builder script app/gui/qt/rp-build-app
 
 override_dh_auto_configure:
-	chmod 755 app/server/bin/sonic-pi-server.rb
-	cd app/server/vendor/ruby-beautify/lib && \
+	chmod 755 app/server/ruby/bin/sonic-pi-server.rb
+	cd app/server/ruby/vendor/ruby-beautify/lib && \
 	  cp    ruby-beautify.rb ruby-beautify-legacy.rb && \
 	  cp -r ruby-beautify    ruby-beautify-legacy && \
 	  chmod 644 ruby-beautify-legacy.rb ruby-beautify-legacy/*.rb ruby-beautify-legacy/config/*.rb
 	cd app/gui/qt && \
 	  cp -f ruby_help.tmpl ruby_help.h && \
-	  ../../server/bin/qt-doc.rb -o ruby_help.h
+	  ../../server/ruby/bin/qt-doc.rb -o ruby_help.h
 	cd app/gui/qt && \
 	  lrelease SonicPi.pro
 	dh_auto_configure
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd app/server/sonicpi/test ; \
+	cd app/server/ruby/test ; \
 	  ruby -e 'require "ruby_debian_dev"; include RubyDebianDev; SUPPORTED_RUBY_VERSIONS.each { |v, b| system("#{b} /usr/bin/rake test") or raise "test failed for #{v}" }'
 	dh_auto_test
 endif
@@ -36,8 +36,8 @@
 	    make -C app/gui/qt/Makefile clean; \
 	  fi ;
 	rm -rf \
-	  app/server/vendor/ruby-beautify/lib/ruby-beautify-legacy.rb \
-	  app/server/vendor/ruby-beautify/lib/ruby-beautify-legacy \
+	  app/server/ruby/vendor/ruby-beautify/lib/ruby-beautify-legacy.rb \
+	  app/server/ruby/vendor/ruby-beautify/lib/ruby-beautify-legacy \
 	  app/gui/qt/sonic-pi \
 	  app/gui/qt/Makefile \
 	  app/gui/qt/ruby_help.h \
