=== debian/changelog ===
sonic-pi (3.2.2~repack-7) unstable; urgency=medium

  * Try to ignore blhc warning for CMakeCXXCompilerABI.cpp
  * Update Standards-Version
  * Try to fix flaky gui test (Closes: #979620)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 09 Jan 2021 21:47:54 +0100

sonic-pi (3.2.2~repack-6) unstable; urgency=medium

  * Add osmid and sox dependencies
  * Store ~/.sonic-pi into test artifacts
  * Update watch file version
  * Update lintian overrides

 -- Valentin Vidic <vvidic@debian.org>  Sun, 08 Nov 2020 16:26:48 +0100

sonic-pi (3.2.2~repack-5) unstable; urgency=medium

  * Try to make language list reproducible by sorting
  * Add Multi-Arch fields for arch-indep packages
  * Make build verbose for blhc check to work
  * Fix tutorial language name for debian-i18n

 -- Valentin Vidic <vvidic@debian.org>  Sat, 17 Oct 2020 11:40:59 +0200

sonic-pi (3.2.2~repack-4) unstable; urgency=medium

  * Update CC-BY-SA-4.0 license text (Closes: #903045)
  * Use clipboard for entering code in gui test
  * Drop patch for fixed aubio import
  * Try to make examples reproducible by sorting

 -- Valentin Vidic <vvidic@debian.org>  Tue, 29 Sep 2020 21:47:57 +0200

sonic-pi (3.2.2~repack-3) unstable; urgency=medium

  * Use debhelper 13
  * Try to make erlang build reproducible
  * Update lintian override tag
  * Set Rules-Requires-Root to no
  * Update gui test to record audio output

 -- Valentin Vidic <vvidic@debian.org>  Sun, 27 Sep 2020 14:02:10 +0200

sonic-pi (3.2.2~repack-2) unstable; urgency=medium

  * Enable Salsa CI
  * Fix ruby dependencies
  * Add autopkgtest for server and gui
  * Fix deprecated file existence check

 -- Valentin Vidic <vvidic@debian.org>  Sun, 20 Sep 2020 23:33:33 +0200

sonic-pi (3.2.2~repack-1) unstable; urgency=medium

  * New upstream version 3.2.2~repack (Closes: #931144)
  * Prepare Files-Excluded for import of new version
  * Update patches for new version
  * Update dependencies for new version
  * Update copyright paths for new version
  * Update build rules for new version
  * Update installation paths for new version
  * Update Lintian overrides for new version
  * Add myself to Uploaders

 -- Valentin Vidic <vvidic@debian.org>  Sun, 20 Sep 2020 12:28:19 +0200

sonic-pi (2.10.0~repack-3) unstable; urgency=medium

  * changed Architecture: any to
    Architecture: i386 amd64 arm64 armhf mipsel to comply with architectures
    supported by the build-dependency supercollider-dev
  * udated Standards-Version: 4.5.0 , and dehelper-compat =12
  * replaced the dependency on libqt5scintilla2-dev => libqscintilla2-qt5-dev
    and the clause -lqt5scintilla2 => -lqscintilla2_qt5
  * fixed the deprecated calls to QString.sprinf. Closes: #964659

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Aug 2020 19:05:19 +0200
