=== debian/rules ===
--- 
+++ 
@@ -7,21 +7,24 @@
 export QT_SELECT = qt5
 
 %:
-	dh $@ --parallel --buildsystem=qmake --sourcedirectory=app/gui/qt --builddirectory=app/gui/qt
+	dh $@ --buildsystem=cmake --sourcedirectory=app/gui/qt --builddirectory=app/gui/qt
 
 # This is based on upstream's Raspbian builder script app/gui/qt/rp-build-app
 
 override_dh_auto_configure:
+	chmod 755 app/server/ruby/bin/port-discovery.rb
 	chmod 755 app/server/ruby/bin/sonic-pi-server.rb
 	cd app/server/ruby/vendor/ruby-beautify/lib && \
 	  cp    ruby-beautify.rb ruby-beautify-legacy.rb && \
 	  cp -r ruby-beautify    ruby-beautify-legacy && \
 	  chmod 644 ruby-beautify-legacy.rb ruby-beautify-legacy/*.rb ruby-beautify-legacy/config/*.rb
-	cd app/gui/qt && \
+	cd app/gui/qt/utils && \
 	  cp -f ruby_help.tmpl ruby_help.h && \
-	  ../../server/ruby/bin/qt-doc.rb -o ruby_help.h
-	cd app/gui/qt && \
-	  lrelease SonicPi.pro
+	  ../../../server/ruby/bin/qt-doc.rb -o ruby_help.h
+	cmake app/gui/qt
+	lrelease app/gui/qt/lang/*.ts
+	cd app/server/erlang && \
+	  erlc +deterministic osc.erl pi_server.erl
 	dh_auto_configure
 
 override_dh_auto_test:
