=== debian/tests/control ===
Depends: sonic-pi-server
Tests: server

Depends: sonic-pi, xvfb, xdotool, xclip, x11-apps, jack-capture, aubio-tools
Tests: gui
Restrictions: flaky
